CGAL 5.6.3 - 2D and 3D Linear Geometry Kernel

Loading...
Searching...
No Matches
Functions
CGAL::compare_y() (2D/3D Linear Kernel)
2D and 3D Linear Geometry Kernel Reference » Global Kernel Functions » CGAL::compare_y()

##

See Chapter 2D and 3D Geometry Kernel

## Functions
template<typename Kernel >
Comparison_result | CGAL::compare_y (const CGAL::Point_2< Kernel > &p, const CGAL::Point_2< Kernel > &q)
| compares Cartesian \( y\)-coordinates of `p` and `q`.
template<typename Kernel >
Comparison_result | CGAL::compare_y (const CGAL::Point_3< Kernel > &p, const CGAL::Point_3< Kernel > &q)
| compares Cartesian \( y\)-coordinates of `p` and `q`.
template<typename Kernel >
Comparison_result | CGAL::compare_y (const CGAL::Point_2< Kernel > &p, const CGAL::Line_2< Kernel > &l1, const CGAL::Line_2< Kernel > &l2)
| compares the \( y\)-coordinates of `p` and the intersection of lines `l1` and `l2`.
template<typename Kernel >
Comparison_result | CGAL::compare_y (const CGAL::Line_2< Kernel > &l, const CGAL::Line_2< Kernel > &h1, const CGAL::Line_2< Kernel > &h2)
| compares the \( y\)-coordinates of the intersection of line `l` with line `h1` and with line `h2`.
template<typename Kernel >
Comparison_result | CGAL::compare_y (const CGAL::Line_2< Kernel > &l1, const CGAL::Line_2< Kernel > &l2, const CGAL::Line_2< Kernel > &h1, const CGAL::Line_2< Kernel > &h2)
| compares the \( y\)-coordinates of the intersection of lines `l1` and `l2` and the intersection of lines `h1` and `h2`.

## Function Documentation

## ◆ compare_y() [1/3]

template<typename Kernel >

Comparison_result CGAL::compare_y | ( | const CGAL::Line_2< Kernel > & | l,
|  | const CGAL::Line_2< Kernel > & | h1,
|  | const CGAL::Line_2< Kernel > & | h2
| ) |  |

`#include <CGAL/Kernel/global_functions.h>`

compares the \( y\)-coordinates of the intersection of line `l` with line `h1` and with line `h2`.

See Figure figcompare13 (b).

## ◆ compare_y() [2/3]

template<typename Kernel >

Comparison_result CGAL::compare_y | ( | const CGAL::Line_2< Kernel > & | l1,
|  | const CGAL::Line_2< Kernel > & | l2,
|  | const CGAL::Line_2< Kernel > & | h1,
|  | const CGAL::Line_2< Kernel > & | h2
| ) |  |

`#include <CGAL/Kernel/global_functions.h>`

compares the \( y\)-coordinates of the intersection of lines `l1` and `l2` and the intersection of lines `h1` and `h2`.

See Figure figcompare13 (c).

## ◆ compare_y() [3/3]

template<typename Kernel >

Comparison_result CGAL::compare_y | ( | const CGAL::Point_2< Kernel > & | p,
|  | const CGAL::Line_2< Kernel > & | l1,
|  | const CGAL::Line_2< Kernel > & | l2
| ) |  |

`#include <CGAL/Kernel/global_functions.h>`

compares the \( y\)-coordinates of `p` and the intersection of lines `l1` and `l2`.

See Figure figcompare13 (a).